import { ContainerOutlined, TagOutlined } from '@ant-design/icons';
import { ASSETS, useTranslation } from '../../core/i18n';

export const useAssetsLeftSideBarContents = (): {
  title: string;
  path?: string;
  key: number;
  editGroup?: boolean;
  icon?: JSX.Element;
}[] => {
  const { t } = useTranslation([ASSETS]);

  return [
    {
      title: t('assets:app.assets.title'),
      key: 0,
    },
    {
      title: t('assets:app.assets.menuAssets.tableAssets'),
      path: '/assets',
      key: 1,
      editGroup: false,
      icon: <ContainerOutlined />,
    },
    {
      title: t('assets:app.assets.menuAssets.groupsAssets'),
      path: '/assets/groups',
      key: 2,
      editGroup: true,
      icon: <TagOutlined />,
    },
  ];
};
